## magic 8.3.105%2Bds.1

=== Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/Makefile,v 1.1.1.1 2008/02/03 20:43:49 tim Exp $
#

MAGICDIR   = .
PROGRAMS   = magic
TECH       = scmos
LIBRARIES  = database utils extflat
MODULES    = bplane cmwind commands database dbwind debug drc extflat \
	     extract graphics netmenu plow resis select sim textio tiles \
	     utils windows wiring

MAKEFLAGS  =
INSTALL_CAD_DIRS = windows doc ${TECH}

-include defs.mak

all:	$(ALL_TARGET)

standard:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} mains 2>&1 | tee -a make.log | egrep -i "(.c:|Stop.|---)"

tcl:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} tcllibrary 2>&1 | tee -a make.log | egrep -i "(.c:|Stop.|---)"

force: clean all

defs.mak:
	@echo No \"defs.mak\" file found.  Run "configure" to make one.

config:
	${MAGICDIR}/configure

tcllibrary: database/database.h modules
	@echo --- making Tcl shared libraries
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} tcl-main); done

mains: database/database.h modules libs
	@echo --- making main programs
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} main); done

database/database.h: database/database.h.in
	@echo --- making header file database/database.h
	${SCRIPTS}/makedbh database/database.h.in database/database.h

modules: database/database.h depend
	@echo --- making modules
	for dir in ${MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} module); done

libs:
	@echo --- making libraries
	for dir in ${LIBRARIES}; do \
		(cd $$dir && ${MAKE} lib); done

depend:	database/database.h
	@echo --- making dependencies
	${RM} */Depend
	for dir in ${MODULES} ${UNUSED_MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} depend); done

install: $(INSTALL_TARGET)

install-magic:
	@echo --- installing executable to $(DESTDIR)${INSTALL_BINDIR}
	@echo --- installing runtime files to $(DESTDIR)${INSTALL_LIBDIR}
	@${MAKE} install-real 2>&1 >> install.log

install-real: install-dirs
	for dir in ${INSTALL_CAD_DIRS}; do \
		(cd $$dir && ${MAKE} install); done
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install); done

install-tcl-dirs:
	${MAGICDIR}/scripts/mkdirs $(DESTDIR)${INSTALL_BINDIR} \
	$(DESTDIR)${INSTALL_MANDIR} $(DESTDIR)${INSTALL_SYSDIR} \
	$(DESTDIR)${INSTALL_TCLDIR} $(DESTDIR)${INSTALL_TCLDIR}/bitmaps

install-dirs:
	${MAGICDIR}/scripts/mkdirs $(DESTDIR)${INSTALL_BINDIR} \
	$(DESTDIR)${INSTALL_MANDIR} $(DESTDIR)${INSTALL_SYSDIR} \
	$(DESTDIR)${INSTALL_SCMDIR}

install-tcl:
	@echo --- installing executable to $(DESTDIR)${INSTALL_BINDIR}
	@echo --- installing runtime files to $(DESTDIR)${INSTALL_LIBDIR}
	@${MAKE} install-tcl-real 2>&1 >> install.log

install-tcl-real: install-tcl-dirs
	for dir in ${INSTALL_CAD_DIRS} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install-tcl); done

clean:
	for dir in ${MODULES} ${PROGRAMS} ${TECH} ${UNUSED_MODULES}; do \
		(cd $$dir && ${MAKE} clean); done
	${RM} *.tmp */*.tmp *.sav */*.sav *.log TAGS tags

distclean:
	touch defs.mak
	@${MAKE} clean
	${RM} defs.mak old.defs.mak ${MAGICDIR}/scripts/defs.mak
	${RM} ${MAGICDIR}/scripts/default.conf
	${RM} ${MAGICDIR}/scripts/config.log ${MAGICDIR}/scripts/config.status
	${RM} scripts/magic.spec magic-`cat VERSION` magic-`cat VERSION`.tgz
	${RM} *.log */Depend

dist:
	${RM} scripts/magic.spec magic-`cat VERSION` magic-`cat VERSION`.tgz
	sed -e /@VERSION@/s%@VERSION@%`cat VERSION`% \
	    scripts/magic.spec.in > scripts/magic.spec
	ln -nsf . magic-`cat VERSION`
	tar zchvf magic-`cat VERSION`.tgz --exclude CVS \
	    --exclude magic-`cat VERSION`/magic-`cat VERSION` \
	    --exclude magic-`cat VERSION`/magic-`cat VERSION`.tgz \
	    magic-`cat VERSION`

clean-mains:
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${RM} $$dir); done

tags:
	${RM} tags
	find . ${MODULES} ${PROGRAMS} -name "*.[ch]" -maxdepth 1 | xargs ctags -o tags

TAGS:
	${RM} TAGS
	find . ${MODULES} ${PROGRAMS} -name "*.[ch]" -maxdepth 1 | xargs etags -o TAGS

setup-git:
	git config --local include.path ../.gitconfig
	git stash save
	rm .git/index
	git checkout HEAD -- "$$(git rev-parse --show-toplevel)"
	git stash pop

=== grouter/Makefile ===
#
# rscid $Header:
#

MODULE    = grouter
MAGICDIR  = ..
SRCS      = grouteChan.c grouteCrss.c grouteDens.c grouteMain.c \
            grouteMult.c grouteMaze.c groutePath.c groutePen.c grouteTest.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== lisp/Makefile ===
#
# rscid $Header:
#

MODULE    = lisp
MAGICDIR  = ..
SRCS      = lispMain.c lispEval.c lispPrint.c lispParse.c lispA-Z.c \
            lispGC.c lispFrame.c lispTrace.c lispMagic.c lispArith.c \
            lispString.c lispIO.c 
SCMSRC    = default.scm box.scm label.scm draw.scm drc.scm \
            stack.scm layout.scm prs.scm help.scm gate.scm \
            sel.scm

include ${MAGICDIR}/defs.mak

INST_SCMSRC = ${SCMSRC:%=$(DESTDIR)${INSTALL_SCMDIR}/%}

install: ${INST_SCMSRC}

$(DESTDIR)${SCMDIR}/%: scm/%
	${CP} scm/$* $(DESTDIR)$(INSTALL_SCMDIR)/$*

include ${MAGICDIR}/rules.mak

=== magic/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/magic/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE   = magic
MAGICDIR = ..
SRCS     = magicTop.c

include ${MAGICDIR}/defs.mak

EXTRA_LIBS = ${MAGICDIR}/bplane/libbplane.o \
	    ${MAGICDIR}/cmwind/libcmwind.o \
	    ${MAGICDIR}/commands/libcommands.o \
	    ${MAGICDIR}/database/libdatabase.o \
	    ${MAGICDIR}/dbwind/libdbwind.o \
	    ${MAGICDIR}/drc/libdrc.o \
	    ${MAGICDIR}/debug/libdebug.o \
	    ${MAGICDIR}/extract/libextract.o \
	    ${MAGICDIR}/graphics/libgraphics.o \
	    ${MAGICDIR}/select/libselect.o \
	    ${MAGICDIR}/textio/libtextio.o \
	    ${MAGICDIR}/tiles/libtiles.o \
	    ${MAGICDIR}/windows/libwindows.o \
	    ${MAGICDIR}/wiring/libwiring.o \
	    ${MAGICDIR}/resis/libresis.o \
	    ${MAGICDIR}/sim/libsim.o \
	    ${MAGICDIR}/netmenu/libnetmenu.o \
	    ${MAGICDIR}/plow/libplow.o \
	    ${MAGICDIR}/utils/libutils.o \
	    ${MAIN_EXTRA_LIBS}

BITMAPS = up.gif down.gif left.gif right.gif zoom.gif lock.xbm
DEST_XBM = $(BITMAPS:%=$(DESTDIR)${INSTALL_TCLDIR}/bitmaps/%)

DFLAGS += -DMAGIC_DATE="\"`date`\"" -DCAD_DIR="${LIBDIR}"
LIBS   += ${GR_LIBS} ${READLINE_LIBS} -lm ${LD_EXTRA_LIBS} \
		${OA_LIBS} ${TOP_EXTRA_LIBS}
CLEANS += tclmagic${SHDLIB_EXT} libtclmagic${SHDLIB_EXT}.a proto.magicrc

main: magic proto.magicrc

tcl-main: tclmagic${SHDLIB_EXT} proto.magicrc

tclmagic${SHDLIB_EXT}: ${EXTRA_LIBS}
	@echo --- making magic Tcl library \(tclmagic${SHDLIB_EXT}\)
	${RM} tclmagic${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} ${LD_RUN_PATH} \
		${EXTRA_LIBS} ${LD_EXTRA_LIBS} \
		-lc ${LIBS} ${LIB_SPECS} ${LDFLAGS}

proto.magicrc: proto.magicrc.in
	${MCPP} ${GR_DFLAGS} ${DFLAGS} proto.magicrc.in > proto.magicrc

install: $(DESTDIR)${INSTALL_BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${INSTALL_SYSDIR}/.magicrc \
	$(DESTDIR)${INSTALL_SYSDIR}/magicps.pro

install-tcl: $(DESTDIR)${INSTALL_TCLDIR}/tclmagic${SHDLIB_EXT} $(DESTDIR)${INSTALL_SYSDIR}/.magicrc \
	$(DESTDIR)${INSTALL_SYSDIR}/.initrc $(DESTDIR)${INSTALL_SYSDIR}/magicps.pro ${DEST_XBM}

$(DESTDIR)${INSTALL_TCLDIR}/tclmagic${SHDLIB_EXT}: tclmagic${SHDLIB_EXT}
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/tclmagic${SHDLIB_EXT}
	${CP} tclmagic${SHDLIB_EXT} $(DESTDIR)${INSTALL_TCLDIR}/tclmagic${SHDLIB_EXT}

$(DESTDIR)${INSTALL_TCLDIR}/bitmaps/%: bitmaps/%
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/bitmaps/$*
	${CP} bitmaps/$* $(DESTDIR)${INSTALL_TCLDIR}/bitmaps/$*

$(DESTDIR)${INSTALL_SYSDIR}/.magicrc: proto.magicrc
	${RM} $(DESTDIR)${INSTALL_SYSDIR}/.magicrc
	${CP} proto.magicrc $(DESTDIR)${INSTALL_SYSDIR}/.magicrc

$(DESTDIR)${INSTALL_SYSDIR}/.initrc: proto.initrc
	${RM} $(DESTDIR)${INSTALL_SYSDIR}/.initrc
	${CP} proto.initrc $(DESTDIR)${INSTALL_SYSDIR}/.initrc

$(DESTDIR)${INSTALL_SYSDIR}/magicps.pro: magicps.pro
	${RM} $(DESTDIR)${INSTALL_SYSDIR}/magicps.pro
	${CP} magicps.pro $(DESTDIR)${INSTALL_SYSDIR}/magicps.pro

include ${MAGICDIR}/rules.mak

=== netmenu/Makefile ===
#
# rcsid =$Header: /usr/cvsroot/magic-8.0/netmenu/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = netmenu
MAGICDIR  = ..
SRCS      = NMbutton.c NMcmdAK.c NMcmdLZ.c NMlabel.c NMmain.c \
            NMnetlist.c NMshowpt.c NMshowcell.c NMundo.c NMwiring.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== plot/Makefile ===
#
# rscid $Header:
#

MODULE    = plot
MAGICDIR  = ..
SRCS      = plotCmd.c plotGremln.c plotHP.c plotPS.c plotMain.c plotRutils.c \
	    plotVers.c plotPixels.c plotPNM.c 

include ${MAGICDIR}/defs.mak

LIBS += ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += tclplot${SHDLIB_EXT} tclplot.o

# Note:  Add -DGREMLIN and/or -DVERSATEC to DFLAGS if you want
# those output types to be added.  Without them, only a minimal
# amount of code is compiled to keep magic from complaining when
# parameters are found in the technology file.

tcl-main: tclplot.o tclplot${SHDLIB_EXT}

tclplot.o: tclplot.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} tclplot.c -c -o tclplot.o

tclplot${SHDLIB_EXT}: tclplot.o ${OBJS}
	@echo --- making Tcl auto-load module \(tclplot${SHDLIB_EXT}\)
	${RM} tclplot${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} tclplot.o ${OBJS} \
		 ${EXTRA_LIBS} -lc ${LIBS}

install-tcl: $(DESTDIR)${INSTALL_TCLDIR}/tclplot${SHDLIB_EXT}

$(DESTDIR)${INSTALL_TCLDIR}/tclplot${SHDLIB_EXT}: tclplot${SHDLIB_EXT}
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/tclplot${SHDLIB_EXT}
	${CP} tclplot${SHDLIB_EXT} $(DESTDIR)${INSTALL_TCLDIR}/tclplot${SHDLIB_EXT}

include ${MAGICDIR}/rules.mak

=== plow/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/plow/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = plow
MAGICDIR  = ..
SRCS      = PlowCmd.c PlowJogs.c PlowMain.c PlowQueue.c PlowRandom.c \
            PlowRules1.c PlowRules2.c PlowRules3.c PlowSearch.c PlowTech.c \
            PlowTest.c PlowWidth.c PlowYank.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== scmos/Makefile ===
#######################################################################
#
#                     MOSIS distribution Version 8.2
#
#######################################################################
#
# The intent in magic version 7.2 was to convert all the "c" style
# files to m4.  However, given the number of files, and the fact that
# they are out of date and should all be replaced anyway, this doesn't
# seem to be worth the effort.  Therefore, some trivial things (like
# minimum.tech) have been converted to m4 and the rest have been left
# alone.
#
#######################################################################

MAGICDIR = ..

include ${MAGICDIR}/defs.mak

SC_PP = ${MCPP} -I./extract_template

FILES = mos.7bit.dstyle mos.7bit.std.cmap \
	mos.24bit.dstyle mos.24bit.std.cmap \
	mos.7bit.mraster_dstyle mos.7bit.mraster.cmap \
	mos.OpenGL.dstyle mos.OpenGL.std.cmap
TECHFILES = minimum.tech gdsquery.tech scmos.tech scmos-tm.tech \
	scmos-sub.tech scmosWR.tech

CIFin   = cif_template/objs/CIFin
CIFout  = cif_template/objs/CIFout
ICIFin  = cif_template/objs/IBMCIFin
ICIFout = cif_template/objs/IBMCIFout
HCIFin  = cif_template/objs/TMCIFin
HCIFout = cif_template/objs/TMCIFout
SCIFin  = cif_template/objs/SUBCIFin
SCIFout = cif_template/objs/SUBCIFout

OBJS =$(CIFin) $(CIFout) $(HCIFin) $(HCIFout) $(SCIFin) $(SCIFout)

DEPEND = scmos.tech.in \
		extract_template/scmosExt.tech.in \
		extract_template/scmosExt26b-sub.tech.in \
		extract_template/scmosExt060_orb.tech.in \
		extract_template/scmosExt080.tech.in \
		extract_template/scmosExt100.tech.in \
		extract_template/scmosExt34.tech.in \
		extract_template/scmosExt14b-sub.tech.in \
		extract_template/scmosExtDiag.tech.in \
		extract_template/scmosExt14b-tm.tech.in 

all: $(OBJS) $(DEPEND) ${TECHFILES}

install-tcl: all
	for i in ${FILES} ${TECHFILES}; do \
		${CP} $$i $(DESTDIR)${INSTALL_SYSDIR}; done

install: all
	for i in ${FILES} ${TECHFILES}; do \
		${CP} $$i $(DESTDIR)${INSTALL_SYSDIR}; done

scmos.tech: $(OBJS)
	$(MSED) scmos.tech.in > scmos.tech.out
	$(SC_PP) -DV5 -DSTANDARD scmos.tech.out > scmos.tech
	$(RM) scmos.tech.out

scmos-tm.tech: $(OBJS)
	$(MSED) scmos.tech.in > scmos.tech.out
	cat scmos.tech.in > scmos.tech.out
	$(SC_PP) -DV5 -DHPTECH -DTIGHTMETAL scmos.tech.out > scmos-tm.tech
	$(RM) scmos.tech.out

scmos-sub.tech: $(OBJS)
	$(MSED) scmos.tech.in > scmos.tech.out
	cat scmos.tech.in > scmos.tech.out
	$(SC_PP) -DV5 -DSUBMICRON scmos.tech.out > scmos-sub.tech
	$(RM) scmos.tech.out

scmosWR.tech: $(OBJS)
	$(MSED) scmos.tech.in > scmos.tech.out
	cat scmos.tech.in > scmos.tech.out
	$(SC_PP) -DV5 -DSTANDARD -DWELL_ROUTE_CHECK scmos.tech.out > scmosWR.tech
	$(RM) scmos.tech.out

minimum.tech: minimum.tech.in
	$(SC_PP) minimum.tech.in > minimum.tech

gdsquery.tech: gdsquery.tech.in
	$(SC_PP) gdsquery.tech.in > gdsquery.tech

$(CIFin):
$(CIFout):
$(ICIFin):
$(ICIFout):
$(HCIFin):
$(HCIFout):
$(SCIFin):
$(SCIFout):
	cd cif_template; ${MAKE} clean; ${MAKE};

$(DESTDIR)${INSTALL_SYSDIR}/%: %
	cp $* $(DESTDIR)${INSTALL_SYSDIR}/$*

clean:;
	-rm -f *.tech *.tech27
	cd cif_template && ${MAKE} clean;

=== select/Makefile ===
#
# rcsid="$Header: /usr/cvsroot/magic-8.0/select/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = select
MAGICDIR  = ..
SRCS      = selCreate.c selDisplay.c selEnum.c selOps.c selUndo.c \
            selUnselect.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== doc/tutcells/Makefile ===
#
# makefile for Magic documentation
#

MAGICDIR = ../..

include ${MAGICDIR}/defs.mak

TUTDIR = ${INSTALL_LIBDIR}/magic/tutorial

TUTFILES= m3a.mag maint2a.mag tut1.mag \
    tut2a.mag tut2b.mag tut2c.mag tut2d.mag \
    tut3a.mag tut3b.mag tut3c.mag tut3d.mag tut3e.mag \
    tut3f.mag tut3g.mag tut3h.mag \
    tut4a.mag tut4x.mag tut4y.mag tut4z.mag \
    tut5a.mag tut5b.mag \
    tut6a.mag tut6b.mag tut6c.mag tut6x.mag tut6y.mag \
    tut7a.mag tut7b.mag tut7b.net tut7c.mag tut7d.mag tut7d.net \
    tut8a.mag tut8b.mag tut8c.mag tut8d.mag tut8e.mag tut8f.mag \
    tut8g.mag tut8h.mag tut8i.mag tut8j.mag tut8k.mag tut8l.mag \
    tut8m.mag tut8n.mag tut8r.mag \
    tut9a.mag tut9b.mag tut9x.mag tut9y.mag \
    tut11a.mag tut11b.mag tut11c.mag tut11d.mag \
    tut11a.al tut11a.cmd tut11a.ext tut11a.nodes tut11a.sim \
    tut11b.ext tut11c.ext tut11d.ext 

INST_TUTFILES= $(TUTFILES:%=$(DESTDIR)${TUTDIR}/%)

install: $(DESTDIR)${TUTDIR} ${INST_TUTFILES}

$(DESTDIR)${TUTDIR}: make-tut-dirs

make-tut-dirs:
	${SCRIPTS}/mkdirs $(DESTDIR)${TUTDIR}

$(DESTDIR)${TUTDIR}/%: % $(DESTDIR)${TUTDIR}
	${CP} $* $(DESTDIR)${TUTDIR}/$*

## magic 8.3.105+ds.1

=== cif/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/cif/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE   =  cif
MAGICDIR =  ..
SRCS     =  CIFgen.c CIFhier.c CIFmain.c CIFrdcl.c CIFrdpt.c CIFrdpoly.c \
            CIFrdtech.c CIFrdutils.c CIFsee.c CIFtech.c CIFwrite.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== database/Makefile ===
#
# Makefile      rcsid $Header: /usr/cvsroot/magic-8.0/database/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#
 
MODULE   =  database
MAGICDIR =  ..
LIB_SRCS =
SRCS     =  DBbound.c DBcell.c DBcellbox.c DBcellcopy.c \
            DBcellname.c DBcellsrch.c DBcellsel.c DBcellsubr.c \
            DBconnect.c DBcount.c DBexpand.c DBio.c DBlabel.c DBlabel2.c \
            DBpaint2.c DBpaint.c DBprop.c DBtech.c DBtcontact.c \
	    DBtechname.c DBtpaint.c DBtpaint2.c DBtechtype.c \
            DBtiles.c DBtimestmp.c DBundo.c

include ${MAGICDIR}/defs.mak

LIB_OBJS += ${MAGICDIR}/tiles/libtiles.o ${MAGICDIR}/utils/libutils.o
CLEANS += database.h

include ${MAGICDIR}/rules.mak

=== ext2sim/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/ext2sim/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE   = ext2sim
MAGICDIR = ..
SRCS     = ext2sim.c

EXTRA_LIBS  = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += exttosim${SHDLIB_EXT} simwrap.o

main: ext2sim

tcl-main: exttosim${SHDLIB_EXT}

simwrap.o: ext2sim.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2sim.c -c -o simwrap.o

exttosim${SHDLIB_EXT}: simwrap.o ${MAGICDIR}/extflat/libextflat.o
	@echo --- making exttosim Tcl library \(exttosim${SHDLIB_EXT}\)
	${RM} exttosim${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} simwrap.o \
		${MAGICDIR}/extflat/libextflat.o ${LD_SHARED} -lc ${LIBS}

install: $(DESTDIR)${INSTALL_BINDIR}/${MODULE}${EXEEXT}

install-tcl: $(DESTDIR)${INSTALL_TCLDIR}/exttosim${SHDLIB_EXT}

$(DESTDIR)${INSTALL_TCLDIR}/exttosim${SHDLIB_EXT}: exttosim${SHDLIB_EXT}
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/exttosim${SHDLIB_EXT}
	${CP} exttosim${SHDLIB_EXT} $(DESTDIR)${INSTALL_TCLDIR}/exttosim${SHDLIB_EXT}

include ${MAGICDIR}/rules.mak

=== ext2spice/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/ext2spice/Makefile,v 1.2 2010/08/10 00:18:45 tim Exp $"
#

MODULE   = ext2spice
MAGICDIR = ..
SRCS     = ext2spice.c ext2hier.c

EXTRA_LIBS = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += exttospice${SHDLIB_EXT} spicewrap.o spicehier.o

main: ext2spice

tcl-main: exttospice${SHDLIB_EXT}

spicewrap.o: ext2spice.c ext2spice.h
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2spice.c -c -o spicewrap.o

spicehier.o: ext2hier.c ext2spice.h
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2hier.c -c -o spicehier.o

exttospice${SHDLIB_EXT}: spicewrap.o spicehier.o ${MAGICDIR}/extflat/libextflat.o
	@echo --- making exttospice Tcl library \(exttospice${SHDLIB_EXT}\)
	${RM} exttospice${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} spicewrap.o spicehier.o \
		${MAGICDIR}/extflat/libextflat.o ${LD_SHARED} -lc ${LIBS}

install: $(DESTDIR)${INSTALL_BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${INSTALL_BINDIR}/spice2sim 

install-tcl: $(DESTDIR)${INSTALL_TCLDIR}/exttospice${SHDLIB_EXT} $(DESTDIR)${INSTALL_BINDIR}/spice2sim

$(DESTDIR)${INSTALL_TCLDIR}/exttospice${SHDLIB_EXT}: exttospice${SHDLIB_EXT}
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/exttospice${SHDLIB_EXT}
	${CP} exttospice${SHDLIB_EXT} $(DESTDIR)${INSTALL_TCLDIR}/exttospice${SHDLIB_EXT}

$(DESTDIR)${INSTALL_BINDIR}/spice2sim: spice2sim
	${RM} $(DESTDIR)${INSTALL_BINDIR}/spice2sim
	${CP} spice2sim $(DESTDIR)${INSTALL_BINDIR}/spice2sim

include ${MAGICDIR}/rules.mak

=== extflat/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/extflat/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = extflat
MAGICDIR  = ..
SRCS      = EFargs.c EFbuild.c EFdef.c EFerr.c EFflat.c EFhier.c EFname.c \
            EFread.c EFsym.c EFvisit.c EFantenna.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== extract/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/extract/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = extract
MAGICDIR  = ..
SRCS      = ExtArray.c ExtBasic.c ExtCell.c ExtCouple.c ExtHard.c \
            ExtHier.c ExtLength.c ExtMain.c ExtNghbors.c ExtPerim.c \
            ExtRegion.c ExtSubtree.c ExtTech.c ExtTest.c ExtTimes.c ExtYank.c \
            ExtInter.c ExtUnique.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== garouter/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/garouter/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = garouter
MAGICDIR  = ..
SRCS      = gaChannel.c gaMain.c gaMaze.c gaSimple.c gaStem.c \
            gaTest.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== mzrouter/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/mzrouter/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = mzrouter
MAGICDIR  = ..
SRCS      = mzBlock.c mzDebug.c mzEstimate.c mzXtndDown.c \
            mzXtndLeft.c mzXtndRght.c mzXtndUp.c mzHint.c mzInit.c mzNumLine.c \
            mzMain.c mzSearch.c mzStart.c mzSubrs.c mzTech.c mzTestCmd.c \
            mzWalk.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== resis/Makefile ===
#
# rscid $Header:
#

MODULE    = resis
MAGICDIR  = ..
SRCS      = ResMain.c ResJunct.c ResMakeRes.c ResSimple.c ResPrint.c \
            ResReadSim.c ResConDCS.c ResRex.c ResBasic.c ResMerge.c ResChecks.c \
            ResFract.c ResUtils.c ResDebug.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== router/Makefile ===
#
# rcsid="$Header: /usr/cvsroot/magic-8.0/router/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = router
MAGICDIR  = ..
SRCS      = rtrCmd.c rtrMain.c rtrDcmpose.c rtrFdback.c rtrHazards.c \
            rtrChannel.c rtrPaint.c rtrPin.c rtrSide.c rtrStem.c rtrTech.c \
            rtrVia.c rtrTravers.c 

include ${MAGICDIR}/defs.mak

LIBS += ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += tclroute${SHDLIB_EXT} tclroute.o

EXTRA_LIBS = ${MAGICDIR}/garouter/libgarouter.o \
	${MAGICDIR}/mzrouter/libmzrouter.o ${MAGICDIR}/irouter/libirouter.o \
	${MAGICDIR}/grouter/libgrouter.o ${MAGICDIR}/gcr/libgcr.o

tcl-main: tclroute.o tclroute${SHDLIB_EXT}

tclroute.o: tclroute.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} tclroute.c -c -o tclroute.o

tclroute${SHDLIB_EXT}: tclroute.o ${OBJS}
	@echo --- making Tcl auto-load module \(tclroute${SHDLIB_EXT}\)
	${RM} tclroute${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} tclroute.o ${OBJS} \
		 ${EXTRA_LIBS} -lc ${LIBS}

install-tcl: $(DESTDIR)${TCLDIR}/tclroute${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/tclroute${SHDLIB_EXT}: tclroute${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/tclroute${SHDLIB_EXT}
	${CP} tclroute${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/tclroute${SHDLIB_EXT}

include ${MAGICDIR}/rules.mak

=== tcltk/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/tcltk/Makefile,v 1.6 2010/06/24 12:37:56 tim Exp $
#

MODULE   = tcltk
MAGICDIR = ..
SRCS = tclmagic.c

include ${MAGICDIR}/defs.mak

DFLAGS += -DMAGIC_DATE="\"`date`\""
CLEANS += magic.sh magic.tcl magicexec magicdnull ext2spice.sh ext2sim.sh

TCL_FILES = \
	tkcon.tcl \
	tkshell.tcl \
	wrapper.tcl \
	console.tcl \
	techbuilder.tcl \
	cellmgr.tcl \
	drcmgr.tcl \
	libmgr.tcl \
	texthelper.tcl \
	tools.tcl \
	mazeroute.tcl \
	strip_reflibs.tcl \
	toolkit.tcl \
	toolkit_rev0.tcl \
	bsitools.tcl \
	socketcmd.tcl \
	readspice.tcl \
	magic.tcl

BIN_FILES = \
	$(DESTDIR)${INSTALL_BINDIR}/magic.sh \
	$(DESTDIR)${INSTALL_BINDIR}/ext2spice.sh \
	$(DESTDIR)${INSTALL_BINDIR}/ext2sim.sh

tcl-main: magicexec magicdnull magic.tcl magic.sh ext2spice.sh ext2sim.sh

install-tcl: magicexec magicdnull ${BIN_FILES} ${TCL_FILES}
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/magicexec
	${CP} magicexec $(DESTDIR)${INSTALL_TCLDIR}/magicexec
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/magicdnull
	${CP} magicdnull $(DESTDIR)${INSTALL_TCLDIR}/magicdnull
	(cd $(DESTDIR)${INSTALL_TCLDIR}; ${RM} ${TCL_FILES})
	for i in ${TCL_FILES}; do \
		${CP} $$i $(DESTDIR)${INSTALL_TCLDIR}; done
	(cd $(DESTDIR)${INSTALL_TCLDIR}; chmod 0755 tkcon.tcl tkshell.tcl)

magicexec: magicexec.c ${MAGICDIR}/defs.mak
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS_NOSTUB} ${LDFLAGS} magicexec.c \
		-o magicexec ${LD_RUN_PATH} ${LIB_SPECS_NOSTUB} ${LIBS} \
		${GR_LIBS}

magicdnull: magicdnull.c ${MAGICDIR}/defs.mak
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS_NOSTUB} ${LDFLAGS} magicdnull.c \
		-o magicdnull ${LD_RUN_PATH} ${LIB_SPECS_NOSTUB} ${LIBS} \
		${GR_LIBS}

magic.tcl: magic.tcl.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g  \
	    -e /MAGIC_VERSION/s%MAGIC_VERSION%${MAGIC_VERSION}%g \
	    -e /MAGIC_REVISION/s%MAGIC_REVISION%${MAGIC_REVISION}%g \
            -e /SHDLIB_EXT/s%SHDLIB_EXT%${SHDLIB_EXT}%g magic.tcl.in > magic.tcl

magic.sh: magic.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g \
	    -e /TCLLIB_DIR/s%TCLLIB_DIR%${TCL_LIB_DIR}%g \
	    -e /WISH_EXE/s%WISH_EXE%${WISH_EXE}%g magic.sh.in > magic.sh

ext2spice.sh: ext2spice.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g ext2spice.sh.in > ext2spice.sh

ext2sim.sh: ext2sim.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g ext2sim.sh.in > ext2sim.sh

$(DESTDIR)${INSTALL_TCLDIR}/%: %
	${RM} $(DESTDIR)${INSTALL_TCLDIR}/$*
	${CP} $* $(DESTDIR)${INSTALL_TCLDIR}/$*

$(DESTDIR)${INSTALL_BINDIR}/magic.sh: magic.sh
	${RM} $(DESTDIR)${INSTALL_BINDIR}/magic.sh $(DESTDIR)${INSTALL_BINDIR}/magic
	${CP} magic.sh $(DESTDIR)${INSTALL_BINDIR}/magic
	(cd $(DESTDIR)${INSTALL_BINDIR}; chmod 0755 magic)

$(DESTDIR)${INSTALL_BINDIR}/ext2spice.sh: ext2spice.sh
	${RM} $(DESTDIR)${INSTALL_BINDIR}/ext2spice
	${CP} ext2spice.sh $(DESTDIR)${INSTALL_BINDIR}/ext2spice
	(cd $(DESTDIR)${INSTALL_BINDIR}; chmod 0755 ext2spice)

$(DESTDIR)${INSTALL_BINDIR}/ext2sim.sh: ext2sim.sh
	${RM} $(DESTDIR)${INSTALL_BINDIR}/ext2sim
	${CP} ext2sim.sh $(DESTDIR)${INSTALL_BINDIR}/ext2sim
	(cd $(DESTDIR)${INSTALL_BINDIR}; chmod 0755 ext2sim)

include ${MAGICDIR}/rules.mak

=== textio/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/textio/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = textio
MAGICDIR  = ..
SRCS      = txCommands.c txInput.c txMain.c txMore.c txOutput.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== debian/changelog ===
magic (8.3.105+ds.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with autoconf 2.71. (Closes: #997348)

 -- Adrian Bunk <bunk@debian.org>  Mon, 06 Dec 2021 22:32:27 +0200

magic (8.3.105+ds.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1
  * debhelper-compat 13
  * debian/copyright:
    - Add copyright for new files
    - Remove trailing whitespace
  * Add salsa-ci file
  * debian/control: Rules-Requires-Root: no
  * debian/patches/0010-Keep_install_as_earlier_Debian_packages.patch:
    - Some files were moved in the new upstream version, but keep them placed
      as in the previous Debian version.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 28 Dec 2020 10:09:00 +0100

=== debian/control ===
Source: magic
Section: electronics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 13),
               mesa-common-dev,
               libglu1-mesa-dev,
               tcl-dev,
               tk-dev,
               blt-dev,
               tcsh|csh,
               python3,
               libcairo2-dev,
               m4
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/magic
Vcs-Git: https://salsa.debian.org/science-team/magic.git
Homepage: http://opencircuitdesign.com/magic/
Rules-Requires-Root: no

Package: magic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tclsh, wish
Suggests: irsim
Description: VLSI layout tool
 Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by
 John Ousterhout, now famous primarily for writing the scripting interpreter
 language Tcl. Due largely in part to its liberal Berkeley open-source license,
 magic has remained popular with universities and small companies. The
 open-source license has allowed VLSI engineers with a bent toward programming
 to implement clever ideas and help magic stay abreast of fabrication
 technology. However, it is the well thought-out core algorithms which lend to
 magic the greatest part of its popularity. Magic is widely cited as being the
 easiest tool to use for circuit layout, even for people who ultimately rely on
 commercial tools for their product design flow.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel


override_dh_auto_install:
	dh_auto_install
	sed -i -e "s,/usr/bin/wish,$(shell readlink -f /usr/bin/wish)," debian/magic/usr/bin/magic

override_dh_auto_clean:
	dh_auto_clean
	-rm -f scripts/config.cache

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\.\d+//,\
oversionmangle=s/$/\+ds\.1/ \
http://opencircuitdesign.com/magic/download.html .*magic-(8\.3\..*).tgz

## magic constraints-0.4rc0

=== requirements.txt ===
pytest>=2.7.2
# bug fix: a dependency of pytest-pep8 require setuptools-scm,
# in the case that pip could not properly handle in offline environment.
setuptools-scm
wheel
pytest-flake8
pytest-cov
pytest-mock
pytest-travis-fold
coveralls

future
funcsigs

## magic dot-0.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = magic_dot
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## magic wormhole-0.21.0

=== docs/state-machines/Makefile ===
default: images

images: allocator.png boss.png code.png input.png key.png lister.png machines.png mailbox.png nameplate.png order.png receive.png send.png terminator.png dilation.png

.PHONY: default images

%.png: %.dot
	dot -T png $< >$@
